Skip to main content
`Ctrl`+`K`

# PetscSectionGetOffset

Return the offset into an array or `Vec` for the dof associated with the given point.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetOffset(PetscSection s, PetscInt point, PetscInt *offset)

Not Collective

## Input Parameters

- s - the `PetscSection`

- point - the point

## Output Parameter

- offset - the offset

## Notes

In a global section, `offset` will be negative for points not owned by this process.

This is for the unnamed default field in the `PetscSection` not the named fields

The `offset` values are different depending on a value set with `PetscSectionSetPointMajor()`

## See Also

PetscSection, `PetscSection`, `PetscSectionGetFieldOffset()`, `PetscSectionCreate()`, `PetscSectionSetPointMajor()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

## Examples

src/snes/tutorials/ex7.c
src/snes/tutorials/ex13.c
src/tao/tutorials/ex3.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages